Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkCoreApplicationConfiguration<TApplication, TAuthorization, TToken, TKey>

Defines a relational mapping for the Application entity.

##### Inheritance

System.Object
OpenIddictEntityFrameworkCoreApplicationConfiguration<TApplication, TAuthorization, TToken, TKey>

###### Namespace: OpenIddict.EntityFrameworkCore

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkCoreApplicationConfiguration<TApplication, TAuthorization, TToken, TKey> : IEntityTypeConfiguration<TApplication> where TApplication : OpenIddictEntityFrameworkCoreApplication<TKey, TAuthorization, TToken> where TAuthorization : OpenIddictEntityFrameworkCoreAuthorization<TKey, TApplication, TToken> where TToken : OpenIddictEntityFrameworkCoreToken<TKey, TApplication, TAuthorization> where TKey : IEquatable<TKey>

##### Type Parameters

Name | Description
--- | ---
TApplication | The type of the Application entity.
TAuthorization | The type of the Authorization entity.
TToken | The type of the Token entity.
TKey | The type of the Key entity.

### Methods

#### Configure(EntityTypeBuilder<TApplication>)

##### Declaration

    public void Configure(EntityTypeBuilder<TApplication> builder)

##### Parameters

Type | Name | Description
--- | --- | ---
EntityTypeBuilder<TApplication> | builder |